<?php
//共通
require_once '../../base/common.php';
require_once '../../util/combo.php';

$logger = new logger(basename(__FILE__));
$logger->info("===af502x_start_index===");

$response["status"] = "OK";

$assign_var["noeventClassHeader"] = "noevent";
$assign_var["noeventClassBody"]   = "";

//コンボボックス作成
$listutil = null;
$listutil = new getListUtil();
$assign_var["listKbn"] = $listutil->getListAfm90('b');

$assign_var["hasPopCucd"] = "1"; //afm03
$assign_var["hasPopCuscd"] = "1"; //afm032

//POPUP
$header = Array(
  'lcnt1' => '0',
  'lcnt2' => '0',
  'lcnt3' => '0',
  'lcnt4' => '0'
);

if ($stringUtil->isEmpty($header["smode"])) { //初期
  $header["smode"] = "0";
  $header["file_filename"] = "ファイルが選択されていません。";
  try {
  } catch(userException $ue) {
    $dbutil->rollback();
    $assign_var["hasError"] = true;
    $assign_var["errorMsg"] = $ue->getMessage();
  } catch(Exception $e) {
    $dbutil->rollback();

    $assign_var["hasError"] = true;
    $assign_var["errorMsg"] = $e->getMessage();
  }
}

//Smartyへアサイン
$assign_var["header"] = $header;
$smarty->assign($assign_var);

$smarty->display("index");

$logger->info("=== end index ===");
?>
